KJS::LabelStack Class Reference

`#include <internal.h>`

## Public Member Functions

| LabelStack (const LabelStack &other)
LabelStack & | operator= (const LabelStack &other)
bool | push (const Identifier &id)
bool | contains (const Identifier &id) const
void | pop ()
void | pushIteration ()
void | popIteration ()
bool | inIteration () const
void | pushSwitch ()
void | popSwitch ()
bool | inSwitch () const

## Detailed Description

The "label set" in Ecma-262 spec.

Definition at line 162 of file internal.h.

## Member Function Documentation

bool LabelStack::contains | ( | const Identifier & | id | ) | const

Is the id in the stack?

Definition at line 333 of file internal.cpp.

void LabelStack::pop | ( |  | ) |

Removes from the stack the last pushed id (what else?)

Definition at line 345 of file internal.cpp.

bool LabelStack::push | ( | const Identifier & | id | ) |

If id is not empty and is not in the stack already, puts it on top of the stack and returns true, otherwise returns false.

Definition at line 321 of file internal.cpp.

The documentation for this class was generated from the following files:

- internal.h
- internal.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys